// BeOS USB driver for Alcatel Speed Touch USB ADSL modem
// specific stusb ioctl
#ifndef __STUSB_CTL_H__
#define __STUSB_CTL_H__

typedef struct {
	uint16 vpi;
	uint16 vci;
} T_atmVcc;

// STUSB device ioctl requests

typedef enum {
	STUSB_GET_MAC_ADDR = B_DEVICE_OP_CODES_END, // TODO: remove + 100
	STUSB_NONBLOCK,
	STUSB_SET_VCC,    // set used VPI/VCI
	STUSB_GET_FRAME_SIZE,
	STUSB_GET_STATISTICS,
	STUSB_GET_LINK_STATE
} stusb_ioctl_req;

#endif //__STUSB_CTL_H__